Index: Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/Makefile.am,v
retrieving revision 1.5
diff -r1.5 Makefile.am
5c5
< SUBDIRS = oggenc ogg123 vorbiscomment debian
---
> SUBDIRS = getopt oggenc ogg123 vorbiscomment debian
Index: acinclude.m4
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/acinclude.m4,v
retrieving revision 1.5
diff -r1.5 acinclude.m4
19a20,23
>   elif test "$prefix" != ""; then
>     ogg_args="$ogg_args --prefix=$prefix"
>     OGG_CFLAGS="-I$prefix/include"
>     OGG_LIBS="-L$prefix/lib"
112a117,120
>   elif test "$prefix" != ""; then
>     vorbis_args="$vorbis_args --prefix=$prefix"
>     VORBIS_CFLAGS="-I$prefix/include"
>     VORBIS_LIBDIR="-L$prefix/lib"
210a219,222
>   elif test "$prefix" != ""; then
>     ao_args="$ao_args --prefix=$prefix"
>     AO_CFLAGS="-I$prefix/include"
>     AO_LIBS="-L$prefix/lib"
Index: configure.in
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/configure.in,v
retrieving revision 1.15
diff -r1.15 configure.in
76c76
< AC_OUTPUT(Makefile oggenc/Makefile oggenc/man/Makefile ogg123/Makefile vorbiscomment/Makefile debian/Makefile)
---
> AC_OUTPUT(Makefile oggenc/Makefile oggenc/man/Makefile ogg123/Makefile vorbiscomment/Makefile debian/Makefile getopt/Makefile)
Index: ogg123/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/ogg123/Makefile.am,v
retrieving revision 1.12
diff -r1.12 Makefile.am
11c11
< INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@ @AO_CFLAGS@
---
> INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@ @AO_CFLAGS@ -I$(top_srcdir)/getopt
13c13,14
< ogg123_LDADD = @VORBISFILE_LIBS@ @VORBIS_LIBS@ @OGG_LIBS@ @AO_LIBS@
---
> ogg123_LDADD = @VORBISFILE_LIBS@ @VORBIS_LIBS@ @OGG_LIBS@ @AO_LIBS@ \
> 		-L$(top_builddir)/getopt -lovgetopt
15c16
< ogg123_SOURCES = ogg123.c ao_interface.c buffer.c ogg123.h buffer.h getopt.c getopt1.c getopt.h
---
> ogg123_SOURCES = ogg123.c ao_interface.c buffer.c ogg123.h buffer.h
Index: ogg123/ogg123.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/ogg123/ogg123.c,v
retrieving revision 1.23
diff -r1.23 ogg123.c
33c33
< #include <getopt.h>
---
> #include <ov_getopt.h>
58,67c58,67
< struct option long_options[] = {
<     {"help", no_argument, 0, 'h'},
<     {"version", no_argument, 0, 'V'},
<     {"device", required_argument, 0, 'd'},
<     {"skip", required_argument, 0, 'k'},
<     {"device-option", required_argument, 0, 'o'},
<     {"verbose", no_argument, 0, 'v'},
<     {"quiet", no_argument, 0, 'q'},
<     {"shuffle", no_argument, 0, 'z'},
<     {"buffer", required_argument, 0, 'b'},
---
> struct ov_option long_options[] = {
>     {"help", ov_no_argument, 0, 'h'},
>     {"version", ov_no_argument, 0, 'V'},
>     {"device", ov_required_argument, 0, 'd'},
>     {"skip", ov_required_argument, 0, 'k'},
>     {"device-option", ov_required_argument, 0, 'o'},
>     {"verbose", ov_no_argument, 0, 'v'},
>     {"quiet", ov_no_argument, 0, 'q'},
>     {"shuffle", ov_no_argument, 0, 'z'},
>     {"buffer", ov_required_argument, 0, 'b'},
119,120c119,120
<     while (-1 != (ret = getopt_long(argc, argv, "b:d:hk:o:qvV:z",
< 				    long_options, &option_index))) {
---
>     while (-1 != (ret = ov_getopt_long(argc, argv, "b:d:hk:o:qvV:z",
> 				       long_options, &option_index))) {
127c127
< 	  opt.buffer_size = atoi (optarg);
---
> 	  opt.buffer_size = atoi (ov_optarg);
130c130
< 	    temp_driver_id = ao_get_driver_id(optarg);
---
> 	    temp_driver_id = ao_get_driver_id(ov_optarg);
132c132
< 		fprintf(stderr, "No such device %s.\n", optarg);
---
> 		fprintf(stderr, "No such device %s.\n", ov_optarg);
137c137
< 	    opt.seekpos = atof(optarg);
---
> 	    opt.seekpos = atof(ov_optarg);
140,141c140,141
< 	    if (optarg && !add_option(&temp_options, optarg)) {
< 		fprintf(stderr, "Incorrect option format: %s.\n", optarg);
---
> 	    if (ov_optarg && !add_option(&temp_options, ov_optarg)) {
> 		fprintf(stderr, "Incorrect option format: %s.\n", ov_optarg);
181c181
<     if (optind == argc) {
---
>     if (ov_optind == argc) {
197c197
< 	int nb = argc - optind;
---
> 	int nb = argc - ov_optind;
210c210
< 	    opt.read_file = argv[p[i] + optind];
---
> 	    opt.read_file = argv[p[i] + ov_optind];
214,215c214,215
< 	while (optind < argc) {
< 	    opt.read_file = argv[optind];
---
> 	while (ov_optind < argc) {
> 	    opt.read_file = argv[ov_optind];
217c217
< 	    optind++;
---
> 	    ov_optind++;
Index: oggenc/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/oggenc/Makefile.am,v
retrieving revision 1.8
diff -r1.8 Makefile.am
9c9
< INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@
---
> INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@ -I$(top_srcdir)/getopt
11,12c11,13
< oggenc_LDADD = @VORBISENC_LIBS@ @VORBIS_LIBS@ @OGG_LIBS@
< oggenc_SOURCES = oggenc.c audio.c encode.c getopt.c getopt1.c\
---
> oggenc_LDADD = @VORBISENC_LIBS@ @VORBIS_LIBS@ @OGG_LIBS@ \
> 		-L$(top_builddir)/getopt -lovgetopt
> oggenc_SOURCES = oggenc.c audio.c encode.c\
Index: oggenc/oggenc.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/oggenc/oggenc.c,v
retrieving revision 1.11
diff -r1.11 oggenc.c
15c15
< #include <getopt.h>
---
> #include <ov_getopt.h>
27c27
< struct option long_options[] = {
---
> struct ov_option long_options[] = {
62c62
< 	if(optind >= argc)
---
> 	if(ov_optind >= argc)
69,70c69,70
< 		infiles = argv + optind;
< 		numfiles = argc - optind;
---
> 		infiles = argv + ov_optind;
> 		numfiles = argc - ov_optind;
380c380
< 	while((ret = getopt_long(argc, argv, "a:b:c:d:hl:n:N:o:qrs:t:v", 
---
> 	while((ret = ov_getopt_long(argc, argv, "a:b:c:d:hl:n:N:o:qrs:t:v", 
391c391
< 				opt->artist[opt->artist_count - 1] = strdup(optarg);
---
> 				opt->artist[opt->artist_count - 1] = strdup(ov_optarg);
395c395
< 				opt->comments[opt->comment_count - 1] = strdup(optarg);
---
> 				opt->comments[opt->comment_count - 1] = strdup(ov_optarg);
399c399
< 				opt->dates[opt->date_count - 1] = strdup(optarg);
---
> 				opt->dates[opt->date_count - 1] = strdup(ov_optarg);
403c403
< 				opt->album[opt->album_count - 1] = strdup(optarg);
---
> 				opt->album[opt->album_count - 1] = strdup(ov_optarg);
408c408
< 				if(sscanf(optarg, "%u", &opt->serial) != 1)
---
> 				if(sscanf(ov_optarg, "%u", &opt->serial) != 1)
413c413
< 				opt->title[opt->title_count - 1] = strdup(optarg);
---
> 				opt->title[opt->title_count - 1] = strdup(ov_optarg);
416c416
< 				opt->kbps = atoi(optarg);
---
> 				opt->kbps = atoi(ov_optarg);
424c424
< 				opt->namefmt = strdup(optarg);
---
> 				opt->namefmt = strdup(ov_optarg);
432c432
< 				opt->outfile = strdup(optarg);
---
> 				opt->outfile = strdup(ov_optarg);
450c450
< 				opt->tracknum[opt->track_count - 1] = strdup(optarg);
---
> 				opt->tracknum[opt->track_count - 1] = strdup(ov_optarg);
Index: vorbiscomment/Makefile.am
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/vorbiscomment/Makefile.am,v
retrieving revision 1.7
diff -r1.7 Makefile.am
7c7
< INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@
---
> INCLUDES = @OGG_CFLAGS@ @VORBIS_CFLAGS@ -I$(top_srcdir)/getopt
9c9,10
< vorbiscomment_LDADD = @VORBIS_LIBS@ @OGG_LIBS@
---
> vorbiscomment_LDADD = @VORBIS_LIBS@ @OGG_LIBS@ \
> 		-L$(top_builddir)/getopt -lovgetopt
Index: vorbiscomment/vcomment.c
===================================================================
RCS file: /usr/local/cvsroot/vorbis-tools/vorbiscomment/vcomment.c,v
retrieving revision 1.6
diff -r1.6 vcomment.c
15c15
< #include <getopt.h>
---
> #include <ov_getopt.h>
20c20
< struct option long_options[] = {
---
> struct ov_option long_options[] = {
276c276
< 	while ((ret = getopt_long(argc, argv, "lwhqc:",
---
> 	while ((ret = ov_getopt_long(argc, argv, "lwhqc:",
297c297
< 				param->commentfilename = strdup(optarg);
---
> 				param->commentfilename = strdup(ov_optarg);
306,307c306,307
< 	if ((param->mode == MODE_LIST && (argc - optind) != 1) ||
< 		(param->mode == MODE_WRITE && (argc - optind) != 2)) {
---
> 	if ((param->mode == MODE_LIST && (argc - ov_optind) != 1) ||
> 		(param->mode == MODE_WRITE && (argc - ov_optind) != 2)) {
311c311
< 	param->infilename = strdup(argv[optind]);
---
> 	param->infilename = strdup(argv[ov_optind]);
313c313
< 		param->outfilename = strdup(argv[optind+1]);
---
> 		param->outfilename = strdup(argv[ov_optind+1]);
